% Coordenadas de referencia
xp0 =[4 1 1 4 7 7] ;
yp0 = [4 4 1 1 1 3];

% Vector de tk, que vara de 0 a 1
k = 1:6;
tk = 0.2*(k - 1);

% Se crea el nuevo vector tk = 12.5 x 6 pto  =  75 ptos
tkn =linspace(tk(1),tk(end),75);    % Crea el vector tk
xp = interp1(tk,xp0,tkn,'spline');  % Interpola xp, con metodo spline
yp = interp1(tk,yp0,tkn,'spline');  % Interpola yp, con metodo spline


% Visualiza los resultados
plot(xp0,yp0,'*r')
hold on
plot(xp0,yp0,'or')
% Coloca los numeros de referencia de los puntos
for n = 1:length(xp0)
   text(xp0(n),yp0(n),num2str(n),'HorizontalAlignment','left',...
       'VerticalAlignment','top','FontW','bold')
end

hold on
plot(xp,yp,'.-b')   % Agrega los nuevos puntos interpolados
hold on
title('Mtodo de interpolacin Spline')